curl --request GET \
--url https://api.memoryproto.co/farcaster/following/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.memoryproto.co/farcaster/following/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.memoryproto.co/farcaster/following/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "in_progress",
"progress": {
"current": 1245,
"total": 3632
},
"timestamp": "2025-05-09T19:51:32.016Z"
}"No following data has been queued for {username}.""Provide a username or fid query parameter.""Error getting {username} following status."Get Farcaster Following Status
Check the indexing status of Farcaster following for an account. This endpoint does not trigger a new queue and does not cost credits. Returns 404 if the user has never been queued.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Get your API key at https://memoryproto.co/developers.
"Bearer mem_xxx"
Query Parameters
Farcaster username of the user. For example, memoryprotocol.eth or base.base.eth.
"memoryprotocol.eth"
"base.base.eth"
Fid of the Farcaster account. For example, 244819 or 12142.
244819
12142
Response
Successful response containing the following indexing status.
Account follows fetch status: queued when the request is queued, in_progress while data is being fetched and partial results are available, andcompleted once all follows have been retrieved and are available.
in_progress "in_progress"
Show child attributes
Show child attributes
{ "current": 1245, "total": 3632 }
Timestamp of when the data was fetched, only available when the status is completed.
"2025-05-09T19:51:32.016Z"